/***{{{*******************************************************************
 * This file is part of libco - object library for C                     *
 * Copyright (c) 2002                                                    *
 *     Peter Rockai (yenar) <yenar@host.sk>                              *
 *                                                                       *
 * This library is free software; you can redistribute it and/or         *
 * modify it under the terms of the GNU Lesser General Public            *
 * License as published by the Free Software Foundation; either          *
 * version 2 of the License, or (at your option) any later version.      *
 *                                                                       *
 * This library is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 * Lesser General Public License for more details.                       *
 *                                                                       *
 * You should have received a copy of the GNU Lesser General Public      *
 * License along with this library; if not, write to the Free Software   *
 * Foundation, Inc., 59 Temple Place, Suite 330,                         *
 * Boston, MA 02111-1307  USA                                            *
 *******************************************************************}}}***/
/* {{{ file description */
/** \file libco.c
 *  \brief _libco_static_init */
/* }}} */

/* {{{ includes */
#include "co_object.h"
#include "co_tab.h"
#include "co_vector.h"
#include "co_util.h"
#include "co_exception.h"
#include "co_super.h"
/* }}} */

void __co_mod_init (co_super);
#include "libco.coinit"

#if 0
/* {{{ */ int libco_init (void)
	/// Initialization function of libco.
	/** This function MUST be called before libco is used (and probably also
	 *  before thread initialization) */
{
	__cox_init ();
	//co_type_new ("(nil)", 0);
	//__init_ids ();
	__co_module_init ();
	//__co_mod_init ();

	return 0;
} /* }}} */
/* {{{ */ int libco_fini (void)
{
	unsigned i;
	__co_module_fini ();
	/* for (i = 0; i < __co_type_array_size; i ++) {
		sfree (__co_type_array [i] . name);
	}
	sfree (__co_type_array);
	for (i = 0; i < __co_action_array_size; i ++) {
		sfree (__co_action_array [i]);
	}
	sfree (__co_action_array);
	for (i = 0; i < __co_event_array_size; i ++) {
		sfree (__co_event_array [i]);
	}
	sfree (__co_event_array);
	for (i = 0; i < __co_property_array_size; i ++) {
		sfree (__co_property_array [i]);
	}
	sfree (__co_property_array); */
	return 0;
} /* }}} */
#endif
